Replay Insights
Merge Insights
POST
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringinsightId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidapplication/json- body
sourceInsightIds*array<>Items
1 <= items <= 100Success
application/json- response
viewed*booleanid*stringtitle*stringdescription*stringstatus*stringValue in
"open""resolved""ignored""merged"mergedInto*string|nullaffectedSessions*number|identifiedUsers*number|occurrences*number|previousAffectedSessions*number|trendPercent*number||nullfirstSeen*stringlastSeen*stringexcerpt*string|nullcurl -X POST 'https://api.faststats.dev/v0/projects/string/replay-insights/497f6eca-6276-4993-bfeb-53cbbbba6f08/merge' \ -H 'Content-Type: application/json' \ -d '{ "sourceInsightIds": [ "9a7da887-483b-4040-a8c2-b67decfaff29" ]}'Example Response
{ "viewed": true, "id": "string", "title": "string", "description": "string", "status": "open", "mergedInto": "string", "affectedSessions": 0, "identifiedUsers": 0, "occurrences": 0, "previousAffectedSessions": 0, "trendPercent": 0, "firstSeen": "string", "lastSeen": "string", "excerpt": "string"}curl -X POST 'https://api.faststats.dev/v0/projects/string/replay-insights/497f6eca-6276-4993-bfeb-53cbbbba6f08/merge' \
-H 'Content-Type: application/json' \
-d '{
"sourceInsightIds": [
"9a7da887-483b-4040-a8c2-b67decfaff29"
]
}'{
"viewed": true,
"id": "string",
"title": "string",
"description": "string",
"status": "open",
"mergedInto": "string",
"affectedSessions": 0,
"identifiedUsers": 0,
"occurrences": 0,
"previousAffectedSessions": 0,
"trendPercent": 0,
"firstSeen": "string",
"lastSeen": "string",
"excerpt": "string"
}